Package: org.gradle

## [Java] Class TaskExecutionLogger

- org.gradle.TaskExecutionLogger

- All Implemented Interfaces and Traits:
    TaskExecutionListener

      @Deprecated
      public class TaskExecutionLogger
      extends Object

  A listener which logs the execution of tasks.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TaskExecutionLogger (org.gradle.logging.ProgressLoggerFactory progressLoggerFactory, org.gradle.internal.progress.LoggerProvider parentLoggerProvider)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `afterExecute(Task task, TaskState state)`
    `void` | `beforeExecute(Task task)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public TaskExecutionLogger(org.gradle.logging.ProgressLoggerFactory progressLoggerFactory, org.gradle.internal.progress.LoggerProvider parentLoggerProvider)

  - ### Method Detail

    - #### public void afterExecute(Task task, TaskState state)

    - #### public void beforeExecute(Task task)